*** ieicej.sty.org	Tue Apr 28 15:29:04 1998
--- ieicej.sty	Fri Sep  3 11:47:29 1999
***************
*** 1,12 ****
! %% ieicej.sty Ver.1.2 (for LaTeX 2.09)
  %%  for the Transactions of the Institute of Electronics, Information 
  %%   and Communication Engineers by Motoaki Sato (SATO KOBO)
  %%
  %% \typeout{ieicej.sty; Version 1.0 [31 Jan. 1995]}
  %% \typeout{ieicej.sty; Version 1.0b [11 April 1995]}
  %% \typeout{ieicej.sty; Version 1.1 [2 August 1995]}
  %% \typeout{ieicej.sty; Version 1.1a [26 December 1995]}
! \typeout{ieicej.sty; Version 1.2 [September 17 1996]}
  
  \newif\ifNTTfont
  \@ifundefined{kanjiskip}{\NTTfonttrue
--- 1,17 ----
! %% ieicej.sty Ver.1.2c (for LaTeX 2.09)
  %%  for the Transactions of the Institute of Electronics, Information 
  %%   and Communication Engineers by Motoaki Sato (SATO KOBO)
  %%
+ %% 1.2a: Modified by Jun Takahashi <junt@aihara.co.jp> for a Letter-mode bug
+ %% 1.2b: Modified by Taiji Yamada <taiji@aihara.co.jp> for misc. bugs
+ %% 1.2c: Modified by Taiji Yamada <taiji@aihara.co.jp> for title(s) of author
+ %%
  %% \typeout{ieicej.sty; Version 1.0 [31 Jan. 1995]}
  %% \typeout{ieicej.sty; Version 1.0b [11 April 1995]}
  %% \typeout{ieicej.sty; Version 1.1 [2 August 1995]}
  %% \typeout{ieicej.sty; Version 1.1a [26 December 1995]}
! %% \typeout{ieicej.sty; Version 1.2 [September 17 1996]}
! \typeout{ieicej.sty; Version 1.2c [September 3 1999]}
  
  \newif\ifNTTfont
  \@ifundefined{kanjiskip}{\NTTfonttrue
***************
*** 897,904 ****
    \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
     \csname fnum@e\@captype\endcsname\hskip1zw #1}\par
   \else
!   \ifdim \wd\@tempboxa > \capwidth
!    \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
      \csname fnum@e\@captype\endcsname\hskip1zw #1}\par
    \else
     \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
--- 902,909 ----
    \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
     \csname fnum@e\@captype\endcsname\hskip1zw #1}\par
   \else
!   \ifdim \wd\@tempboxa > \ecapwidth
!    \hfil\parbox[t]{\ecapwidth}{\hangindent\wd\@tempboxb 
      \csname fnum@e\@captype\endcsname\hskip1zw #1}\par
    \else
     \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
***************
*** 921,927 ****
  \def\fps@figure{tbp}
  \def\ftype@figure{1}
  \def\ext@figure{lof}
! \def\figure{\bgroup\@floatenv\capwidth=65mm\ecapwidth=65mm
   \@abovecapskip=10pt\@belowcapskip\z@\@float{figure}}
  \def\endfigure{\end@float\egroup}
  \@namedef{figure*}{\bgroup\@floatenv
--- 926,932 ----
  \def\fps@figure{tbp}
  \def\ftype@figure{1}
  \def\ext@figure{lof}
! \def\figure{\bgroup\@floatenv\if@twocolumn\capwidth=65mm\ecapwidth=65mm\else\capwidth=130mm\ecapwidth=130mm\fi
   \@abovecapskip=10pt\@belowcapskip\z@\@float{figure}}
  \def\endfigure{\end@float\egroup}
  \@namedef{figure*}{\bgroup\@floatenv
***************
*** 934,940 ****
  \def\fps@table{tbp}
  \def\ftype@table{2}
  \def\ext@table{lot}
! \def\table{\bgroup\@floatenv\capwidth=65mm\ecapwidth=65mm
   \@abovecapskip\z@\@belowcapskip=3pt\@float{table}}
  \def\endtable{\end@float\egroup}
  \@namedef{table*}{\bgroup\@floatenv
--- 939,945 ----
  \def\fps@table{tbp}
  \def\ftype@table{2}
  \def\ext@table{lot}
! \def\table{\bgroup\@floatenv\if@twocolumn\capwidth=65mm\ecapwidth=65mm\else\capwidth=130mm\ecapwidth=130mm\fi
   \@abovecapskip\z@\@belowcapskip=3pt\@float{table}}
  \def\endtable{\end@float\egroup}
  \@namedef{table*}{\bgroup\@floatenv
***************
*** 991,1008 ****
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
!     \def\@noaffi{none}\def\@tempaffi{#4}%
       \ifx\@noaffi\@tempaffi\else
        \global\advance \authorlabelcount by \@ne\fi
!     \expandafter\xdef\csname @authorlabel#4\endcsname{\the\authorlabelcount}%
     \else
!     \@ifundefined{@authorlabel#4}%
!      {\def\@noaffi{none}\def\@tempaffi{#4}%
         \ifx\@noaffi\@tempaffi\else
          \global\advance \authorlabelcount by \@ne\fi
!        \expandafter\xdef\csname @authorlabel#4\endcsname%
          {\the\authorlabelcount}}{\relax}%
     \fi
     \def\@authorlabelnone{0}%
     \expandafter\xdef%
      \csname @jauthormembership\number\authorcount\endcsname{%
--- 996,1028 ----
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
!     \@for\@authortitlei:=#4\do{%
!     \def\@noaffi{none}\def\@tempaffi{\@authortitlei}%
       \ifx\@noaffi\@tempaffi\else
        \global\advance \authorlabelcount by \@ne\fi
!     \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname{\the\authorlabelcount}%
!     }%
     \else
!     \@for\@authortitlei:=#4\do{%
!     \@ifundefined{@authorlabel\@authortitlei}%
!      {\def\@noaffi{none}\def\@tempaffi{\@authortitlei}%
         \ifx\@noaffi\@tempaffi\else
          \global\advance \authorlabelcount by \@ne\fi
!        \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname%
          {\the\authorlabelcount}}{\relax}%
+     }%
     \fi
+    %
+    \xdef\@authorlabels{\empty}
+    \@for\@authortitlei:=#4\do{%
+    \ifx\@authorlabels\empty
+     \xdef\@authorlabels{%
+     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
+    \else
+     \xdef\@authorlabels{\@authorlabels\,%
+     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
+    \fi}
+    %
     \def\@authorlabelnone{0}%
     \expandafter\xdef%
      \csname @jauthormembership\number\authorcount\endcsname{%
***************
*** 1024,1036 ****
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
      \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!      \@tempa$^{\@fnsymbol{\csname @authorlabel#4\endcsname}}$%
        \csname @jauthormembership\number\authorcount\endcsname}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
      \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!      \@tempa$^{\@fnsymbol{\csname @authorlabel#4\endcsname}}$}%
      \expandafter\xdef%
       \csname @authormembership\number\authorcount\endcsname{%
        \csname #3@member\endcsname}%
--- 1044,1056 ----
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
      \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!      \@tempa$^{\@authorlabels}$%
        \csname @jauthormembership\number\authorcount\endcsname}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
      \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!      \@tempa$^{\@authorlabels}$}%
      \expandafter\xdef%
       \csname @authormembership\number\authorcount\endcsname{%
        \csname #3@member\endcsname}%
***************
*** 1044,1064 ****
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
      \global\advance \authorlabelcount by \@ne
!     \expandafter\xdef\csname @authorlabel#4\endcsname{\the\authorlabelcount}%
       \global\advance \pauthorlabelcount by \@ne
       \expandafter\xdef\csname p@authorlabel#5\endcsname%
        {\the\pauthorlabelcount}%
     \else
!     \@ifundefined{@authorlabel#4}%
       {\global\advance \authorlabelcount by \@ne
!        \expandafter\xdef\csname @authorlabel#4\endcsname%
          {\the\authorlabelcount}}{\relax}%
!       \@ifundefined{p@authorlabel#5}%
         {\global\advance \pauthorlabelcount by \@ne
!          \expandafter\xdef\csname p@authorlabel#5\endcsname%
            {\the\pauthorlabelcount}}{\relax}%
     \fi
     \expandafter\xdef%
      \csname @jauthormembership\number\authorcount\endcsname{%
       \csname #3J@member\endcsname}%
--- 1064,1111 ----
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
+     \@for\@authortitlei:=#4\do{%
      \global\advance \authorlabelcount by \@ne
!     \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname{\the\authorlabelcount}%
!     }%
       \global\advance \pauthorlabelcount by \@ne
       \expandafter\xdef\csname p@authorlabel#5\endcsname%
        {\the\pauthorlabelcount}%
     \else
!     \@for\@authortitlei:=#4\do{%
!     \@ifundefined{@authorlabel\@authortitlei}%
       {\global\advance \authorlabelcount by \@ne
!        \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname%
          {\the\authorlabelcount}}{\relax}%
!     }%
!       \@for\p@authortitlei:=#5\do{%
!       \@ifundefined{p@authorlabel\p@authortitlei}%
         {\global\advance \pauthorlabelcount by \@ne
!          \expandafter\xdef\csname p@authorlabel\p@authortitlei\endcsname%
            {\the\pauthorlabelcount}}{\relax}%
+       }%
     \fi
+    %
+    \xdef\@authorlabels{\empty}
+    \@for\@authortitlei:=#4\do{%
+    \ifx\@authorlabels\empty
+     \xdef\@authorlabels{%
+     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
+    \else
+     \xdef\@authorlabels{\@authorlabels\,%
+     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
+    \fi}
+    %
+    \xdef\p@authorlabels{\empty}
+    \@for\p@authortitlei:=#5\do{%
+    \ifx\p@authorlabels\empty
+     \xdef\p@authorlabels{%
+     {\@fnsymbol{\csname p@authorlabel\p@authortitlei\endcsname}}}
+    \else
+     \xdef\p@authorlabels{\p@authorlabels\,%
+     {\@fnsymbol{\csname p@authorlabel\p@authortitlei\endcsname}}}
+    \fi}
+    %
     \expandafter\xdef%
      \csname @jauthormembership\number\authorcount\endcsname{%
       \csname #3J@member\endcsname}%
***************
*** 1079,1093 ****
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
    \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!    \@tempa$^{\@fnsymbol{\csname @authorlabel#4\endcsname}}$\,%
!      $^{\@fnsymbol{\csname p@authorlabel#5\endcsname}}$%
        \csname @jauthormembership\number\authorcount\endcsname}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
    \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!    \@tempa$^{\@fnsymbol{\csname @authorlabel#4\endcsname}}$\,%
!      $^{\@fnsymbol{\csname p@authorlabel#5\endcsname}}$}%
   \expandafter\xdef%
    \csname @authormembership\number\authorcount\endcsname{%
     \csname #3@member\endcsname}%
--- 1126,1140 ----
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
    \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!    \@tempa$^{\@authorlabels}$\,%
!      $^{\p@authorlabels}$%
        \csname @jauthormembership\number\authorcount\endcsname}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
    \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!    \@tempa$^{\@authorlabels}$\,%
!      $^{\p@authorlabels}$}%
   \expandafter\xdef%
    \csname @authormembership\number\authorcount\endcsname{%
     \csname #3@member\endcsname}%
***************
*** 1113,1131 ****
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
!     \def\@noaffi{none}\def\@tempaffi{#3}%
       \ifx\@noaffi\@tempaffi\else
        \global\advance \authorlabelcount by \@ne\fi
!     \expandafter\xdef\csname @authorlabel#3\endcsname{\the\authorlabelcount}%
     \else
!     \@ifundefined{@authorlabel#3}%
!      {\def\@noaffi{none}\def\@tempaffi{#3}%
         \ifx\@noaffi\@tempaffi\else
          \global\advance \authorlabelcount by \@ne\fi
!        \expandafter\xdef\csname @authorlabel#3\endcsname%
          {\the\authorlabelcount}}{\relax}%
     \fi
!     \def\@authorlabelnone{0}%
     \setbox\@tempboxc\hbox{\spaceskip=100mm #1}%
     \ifdim \wd\@tempboxc < 100mm
      \typeout{Warning: Author's name "#1" doesn't have a space.}%
--- 1160,1193 ----
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
!     \@for\@authortitlei:=#3\do{%
!     \def\@noaffi{none}\def\@tempaffi{\@authortitlei}%
       \ifx\@noaffi\@tempaffi\else
        \global\advance \authorlabelcount by \@ne\fi
!     \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname{\the\authorlabelcount}%
!     }%
     \else
!     \@for\@authortitlei:=#3\do{%
!     \@ifundefined{@authorlabel\@authortitlei}%
!      {\def\@noaffi{none}\def\@tempaffi{\@authortitlei}%
         \ifx\@noaffi\@tempaffi\else
          \global\advance \authorlabelcount by \@ne\fi
!        \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname%
          {\the\authorlabelcount}}{\relax}%
+     }%
     \fi
!    %
!    \xdef\@authorlabels{\empty}
!    \@for\@authortitlei:=#3\do{%
!    \ifx\@authorlabels\empty
!     \xdef\@authorlabels{%
!     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
!    \else
!     \xdef\@authorlabels{\@authorlabels\,%
!     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
!    \fi}
!    %
!    \def\@authorlabelnone{0}%
     \setbox\@tempboxc\hbox{\spaceskip=100mm #1}%
     \ifdim \wd\@tempboxc < 100mm
      \typeout{Warning: Author's name "#1" doesn't have a space.}%
***************
*** 1143,1154 ****
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
      \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!      \@tempa\rlap{$^{\@fnsymbol{\csname @authorlabel#3\endcsname}}$}}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
      \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!      \@tempa$^{\@fnsymbol{\csname @authorlabel#3\endcsname}}$}%
      \global\totalnumberofauthor=\authorcount
  }
  
--- 1205,1216 ----
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
      \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!      \@tempa\rlap{$^{\@authorlabels}$}}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
      \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!      \@tempa$^{\@authorlabels}$}%
      \global\totalnumberofauthor=\authorcount
  }
  
***************
*** 1156,1176 ****
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
      \global\advance \authorlabelcount by \@ne
!     \expandafter\xdef\csname @authorlabel#3\endcsname{\the\authorlabelcount}%
       \global\advance \pauthorlabelcount by \@ne
       \expandafter\xdef\csname p@authorlabel#4\endcsname%
        {\the\pauthorlabelcount}%
     \else
!     \@ifundefined{@authorlabel#3}%
       {\global\advance \authorlabelcount by \@ne
!        \expandafter\xdef\csname @authorlabel#3\endcsname%
          {\the\authorlabelcount}}{\relax}%
!       \@ifundefined{p@authorlabel#4}%
         {\global\advance \pauthorlabelcount by \@ne
!          \expandafter\xdef\csname p@authorlabel#4\endcsname%
            {\the\pauthorlabelcount}}{\relax}%
     \fi
     \setbox\@tempboxc\hbox{\spaceskip=100mm #1}%
     \ifdim \wd\@tempboxc < 100mm
      \typeout{Warning: Author's name "#1" doesn't have a space.}%
--- 1218,1265 ----
   \advance \authorcount by \@ne
     \ifnum \authorcount = \@ne
      \authorlabelcount \z@
+     \@for\@authortitlei:=#3\do{%
      \global\advance \authorlabelcount by \@ne
!     \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname{\the\authorlabelcount}%
!     }%
       \global\advance \pauthorlabelcount by \@ne
       \expandafter\xdef\csname p@authorlabel#4\endcsname%
        {\the\pauthorlabelcount}%
     \else
!     \@for\@authortitlei:=#3\do{%
!     \@ifundefined{@authorlabel\@authortitlei}%
       {\global\advance \authorlabelcount by \@ne
!        \expandafter\xdef\csname @authorlabel\@authortitlei\endcsname%
          {\the\authorlabelcount}}{\relax}%
!     }%
!       \@for\p@authortitlei:=#4\do{%
!       \@ifundefined{p@authorlabel\p@authortitlei}%
         {\global\advance \pauthorlabelcount by \@ne
!          \expandafter\xdef\csname p@authorlabel\p@authortitlei\endcsname%
            {\the\pauthorlabelcount}}{\relax}%
+       }%
     \fi
+    %
+    \xdef\@authorlabels{\empty}
+    \@for\@authortitlei:=#3\do{%
+    \ifx\@authorlabels\empty
+     \xdef\@authorlabels{%
+     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
+    \else
+     \xdef\@authorlabels{\@authorlabels\,%
+     {\@fnsymbol{\csname @authorlabel\@authortitlei\endcsname}}}
+    \fi}
+    %
+    \xdef\p@authorlabels{\empty}
+    \@for\p@authortitlei:=#4\do{%
+    \ifx\p@authorlabels\empty
+     \xdef\p@authorlabels{%
+     {\@fnsymbol{\csname p@authorlabel\p@authortitlei\endcsname}}}
+    \else
+     \xdef\p@authorlabels{\p@authorlabels\,%
+     {\@fnsymbol{\csname p@authorlabel\p@authortitlei\endcsname}}}
+    \fi}
+    %
     \setbox\@tempboxc\hbox{\spaceskip=100mm #1}%
     \ifdim \wd\@tempboxc < 100mm
      \typeout{Warning: Author's name "#1" doesn't have a space.}%
***************
*** 1188,1201 ****
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
    \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!    \@tempa\rlap{$^{\@fnsymbol{\csname @authorlabel#3\endcsname}}$%
!      $^{\@fnsymbol{\csname p@authorlabel#4\endcsname}}$}}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
    \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!    \@tempa$^{\@fnsymbol{\csname @authorlabel#3\endcsname}}$%
!      $^{\@fnsymbol{\csname p@authorlabel#4\endcsname}}$}%
    \global\totalnumberofauthor=\authorcount
  }
  
--- 1277,1290 ----
       \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
     \fi
    \expandafter\xdef\csname @Jauthorname\number\authorcount\endcsname{%
!    \@tempa\rlap{$^{\@authorlabels}$%
!      $^{\p@authorlabels}$}}%
     \def\@tempname{#2}%
     \def\@tempb##1 ##2\@nil{##1 \uppercase{##2}}%
     \edef\@tempa{\expandafter\@tempb\@tempname \@nil}%
    \expandafter\xdef\csname @Eauthorname\number\authorcount\endcsname{%
!    \@tempa$^{\@authorlabels}$%
!      $^{\p@authorlabels}$}%
    \global\totalnumberofauthor=\authorcount
  }
  
***************
*** 1810,1819 ****
  \MONTH{xx}
  \YEAR{1996}
  
- \ifphototypeset\else
-  \let\hd@typeofletter\@typeofletter
- \fi
- 
  \mark{{}{}}
  \def\@Rtop{\rlap{\smash{\raisebox{-1\headsep}%
   {\rule{0.01mm}{10mm}\rule{10mm}{0.01mm}}}}}
--- 1899,1904 ----
***************
*** 1827,1832 ****
--- 1912,1920 ----
  \def\ps@ieicej{\let\@mkboth\@gobbletwo
   \def\hrulefill{\leaders\hrule height-1.5mm depth1.75mm\hfill}
   \if@letter
+   \ifphototypeset\else
+     \let\hd@typeofletter\@typeofletter
+   \fi%
    \def\@oddhead{\ifProof\@Ltop\else\fi%
     \hbox to \textwidth{%
      \smash{\raisebox{-3mm}{{\csname t@typefont@\@type\endcsname
